<?php
/* Written by Nic Roets. Placed in the public domain. */
class mapPreloads {
    function preload(&$template, $preload, $paramSet) {
        static $loaded = false;
        $loaded = true;
        $itemId = GalleryUtilities::getRequestVariables('itemId');
        if (!empty ($itemId)) {
            list ($ret, $item) = GalleryCoreApi::loadEntitiesById($itemId);
            if (!$ret && /* extend to all data items ? */
                GalleryUtilities::isA($item, 'GalleryPhotoItem')) {
                GalleryCoreApi::requireOnce ('modules/map/classes/mapHelper.class');
                list ($ret, $tmp, $param, $isContainerSettings) =
                    mapHelper::fetchFieldValues(array($item), null, 'photo');
                if ($ret) {
                     return $ret->wrap(__FILE__, __LINE__);
                }
                if (isset ($tmp[$item->getId()]['GPS']) &&
                    preg_match ('/^([^,]+),(.*)$/', $tmp[$item->getId()]['GPS'], $regs)) {
                    $template->head('modules/map/templates/Header.tpl');
                    $template->setVariable('icbm', $regs[2] . ',' . $regs[1]);
                }
            }
        }
        return null;
    }
}
